<template lang="pug">
.row.align-items-center.no-gutters.my-1
  .col-7(@click='setSelected')
    BadgeButton(type='property' :badges='{ name }' :isSelected='isSelected')
  .col-5.ml-auto
    BaseSelect(ref='value' :value='value' :noEditIcon='true' :inEdit='true' @edit="onEdit")
      template(v-slot:options='')
        option(:value="v" v-for='v in valueList') {{ v }}
  BaseAnimationBlock(anim='height')
    RelationList(v-show='isInSelection' :property='property' :state='state')
</template>
<script src='./PropertyEnumerated.vue.js' />
